MsWks3TextInternal::Font Struct Reference

Internal: the fonts. More...

## Public Member Functions

| Font ()
| the constructor

## Public Attributes

MWAWFont | m_font
| the font
int | m_flags [3]
| some unknown flag
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<<

## Detailed Description

Internal: the fonts.

## Constructor & Destructor Documentation

## Font()

MsWks3TextInternal::Font::Font | ( |  | ) |

inline

the constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | font )

friend

operator<<

## Member Data Documentation

## m_extra

std::string MsWks3TextInternal::Font::m_extra

extra data

Referenced by Font(), operator<<, and MsWks3Text::readFont().

## m_flags

int MsWks3TextInternal::Font::m_flags[3]

some unknown flag

Referenced by Font(), and operator<<.

## m_font

MWAWFont MsWks3TextInternal::Font::m_font

the font

Referenced by Font(), MsWks3Text::readFont(), MsWks3Text::sendString(), and MsWks3Text::sendText().

The documentation for this struct was generated from the following file:

- MsWks3Text.cxx